// for testing package
import dePay from "../index.js";

(async () => {
  try {
    // init dePay object
    const dePayOBJ = new dePay({
      appId: "YOUR-APP-ID",
      apiSecret: "YOUR-SECRET",
      sandbox: true, // false for production
    });

    const response = await dePayOBJ.checkout.init({
      nft_action_type: "bid",
      total_value_in_smallest_unit: "1600000000000000",
      user_wallet_address: "0x4r87......o4t40",
      nfts_list: [],
    });

    const status = await dePayOBJ.checkout.status("YOUR_PAYMENT_ID");
  } catch (e) {
    // Deal with the fact the chain failed
    throw e;
  }
})();
